CVE-2004-1066

Current Description

The cmdline pseudofiles in (1) procfs on FreeBSD 4.8 through 5.3, and (2) linprocfs on FreeBSD 5.x through 5.3, do not properly validate a process argument vector, which allows local users to cause a denial of service (panic) or read portions of kernel memory. NOTE: this candidate might be SPLIT into 2 separate items in the future.

Basic Data

PublishedJanuary 10, 2005
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:P/I:N/A:P
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score3.6
SeverityLOW
Exploitability Score3.9
Impact Score4.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSFreebsdFreebsd4.0*******
    2.3OSFreebsdFreebsd4.1*******
    2.3OSFreebsdFreebsd4.1.1*******
    2.3OSFreebsdFreebsd4.2*******
    2.3OSFreebsdFreebsd4.3*******
    2.3OSFreebsdFreebsd4.4*******
    2.3OSFreebsdFreebsd4.5*******
    2.3OSFreebsdFreebsd4.6*******
    2.3OSFreebsdFreebsd4.7*******
    2.3OSFreebsdFreebsd4.8*******
    2.3OSFreebsdFreebsd4.8releng******
    2.3OSFreebsdFreebsd4.9*******
    2.3OSFreebsdFreebsd4.10*******
    2.3OSFreebsdFreebsd4.10release******
    2.3OSFreebsdFreebsd4.10releng******
    2.3OSFreebsdFreebsd5.0*******
    2.3OSFreebsdFreebsd5.1*******
    2.3OSFreebsdFreebsd5.2*******
    2.3OSFreebsdFreebsd5.2.1release******
    2.3OSFreebsdFreebsd5.2.1releng******
    2.3OSFreebsdFreebsd5.3*******
    2.3OSFreebsdFreebsd5.3release******
    2.3OSFreebsdFreebsd5.3stable******

Vulnerable Software List

VendorProductVersions
Freebsd Freebsd 4.0, 4.1, 4.1.1, 4.10, 4.2, 4.3, 4.4, 4.5, 4.6, 4.7, 4.8, 4.9, 5.0, 5.1, 5.2, 5.2.1, 5.3

References

NameSourceURLTags
FreeBSD-SA-04:17ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:17.procfs.ascFREEBSD
freebsd-profs-linprocfs-info-disclosure(18321)https://exchange.xforce.ibmcloud.com/vulnerabilities/18321XF